site_name: PlaceholderMC
site_url: https://minecraft.unit15.net
copyright: Copyright &copy; 2000 - 2023 Cody (Subnet_Masked) All Rights Reserved
docs_dir: docs
theme:
  custom_dir: overrides
  logo: assets/images/grass_block.png
  favicon: assets/images/favicon.png
  features:
    - navigation.tracking
    - toc.follow
    - toc.integrate
    - navigation.instant
    - navigation.instant.progress
    - navigation.top
    - navigation.indexes
  name: material
  palette:
    # Palette toggle for light mode
    - media: "(prefers-color-scheme: light)"
      scheme: default
      primary: green
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode

    # Palette toggle for dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      primary: green
      toggle:
        icon: material/brightness-4
        name: Switch to light mode
markdown_extensions:
  - admonition
  - pymdownx.details
  - pymdownx.superfences
  - attr_list
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg
  - toc:
      permalink: true
  - footnotes
  - tables
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.superfences
  - pymdownx.tabbed:
      alternate_style: true
nav:
  - 'index.md'
  - 'code_of_conduct.md'
  - 'whitelisting.md'
  - 'survival.md'
  - 'bedrock.md'
  - 'maintenance.md'
  - 'administration.md'
  - 'calendar.md'
  - 'more.md'
  - 'status.md'
extra:
  social:
    - icon: fontawesome/brands/discord
      link: https://discord.gg/RWNQxAWad2
    - icon: fontawesome/brands/git-alt
      link: https://git.subnet-masked.com/Subnet_Masked/minecraft_site
extra_css:
  - stylesheets/extra.css
plugins:
  - glightbox:
      touchNavigation: true
      loop: false
      effect: zoom
      slide_effect: slide
      width: 100%
      height: auto
      zoomable: true
      draggable: true
      auto_caption: true
      caption_position: bottom
  - search:
      lang: en